Subject: Re: [MOBILE-IP] Fast Handoffs (fast-handoffs and proactive-FA)

From: James Kempf <[email-masked]>
Date: Wed, 5 Jul 2000 13:06:53 -0700

>I have read your proactive-FA-01 draft. This new version
>is quite different from v00 and now describes a similar
>hierarchical mechanism to the Fast Handoffs presented
>in Adelaide: draft-elmalki-soliman-hmipv4v6-00 (previously
>presented in Oslo as draft-elmalki-mobileip-fast-handoffs-01).
>This has undergone a few revisions and we think it is
>now in quite a stable state. I haven't seen any comparison
>or reference to it in your memo. Could you elaborate on the
>differences? If my understanding is correct, your approach

I haven't had a chance to read it. I will take a look at it.

>requires a registration following L2 handoff (to a new FA)

See below for more on this.

>before the MN can resume communication. We have tried to
>avoid this added delay. Also, why did you choose to introduce

The MN starts getting packets as soon as the FA and GFA
have set up the registration. There is no need for the MN
to do any registration back to the HA because the GFA has
not changed.

>a new message between RFA and GFA when there is the
>(Regional) Registration Request available? What is the
>advantage? MIP transparency to the MN should be maintained
>IMO. In our approach we have decided to maintain this and
>no new messages are used.
>

I'll take a look and see if I can give you a more detailed answer.

>Rgds,
>Karim
>
>P.S. The MIPv4 part of the draft presented in Adelaide has
>just been resubmitted as: draft-elmalki-mobileip-fast-handoffs-02

Regarding your statement about L2 handoff, there is additionally a
need to do handoff when there is no L2 connection between the old
and new RANs. I'm thinking about the CDMA hard handoff case here,
in which there is no physical interconnection directly between
the old and new RAN, and so the handoff must go through the
L3 core (currently, this is done by involving the MSCs in handoff).
This will, of necessity, involve communicating radio specific
information across L3, channel parameters, current cell site, etc.
We believe FA assisted handoff as we have outlined it will handle
this case, with an extension to carry the radio specific information
needed in order to have the new RAN set up the handoff. Does your
proposal work for this as well?

                jak

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Thu, 6 Jul 2000 16:25:45 +0200

Hello Pat

>  No it doesn't break RFC 2002 anymore than Regional
>  Registration Does. The main
>  idea is to let the GFA be aware that the Mobile Node is
>  entering a new cell,
>  before MN registration occurs. This allows the network to
>  adjust itself to
>  provide service to the Mobile Node when it does enter the cell.

Regional Registration messages are sent by the MN to the RFA.
Your draft however makes the MN unaware that the network is
setting up bindings for it. This is the reason why I think that
it does not do the same as Regional Registrations with respect
to RFC2002. Also, your new handoff request message is basically
a surrogate or proxy Registration Request message. IMO it is
possible to do without a new message (see below).

You also refer to entering the "cell" above. I think that we
should not involve specific cellular issues when considering
a generic L3 fast handoff mechanism.

>
>  The inverse requires that the Mobile Node detects it has
>  entered a new cell by
>  receiving (or soliciting) an advertisement, then proceed
>  with the registration
>  process.

There is another option though, which is the one we have chosen
and presented in Adelaide. Have you had a look at this?
The MN may register with the new FA through the old wireless
access point.

Rgds,
Karim

---

From: James Kempf <[email-masked]>
Date: Thu, 6 Jul 2000 09:06:43 -0700

>Our proposal describes a way to do an L3 Fast Handoff possibly utilising
>L2 functions/information. The lack of a soft-handoff does not mean
>there will not be a L2 interface to the radio/cellular specific part
>of the network (which exists today). From your mail above I conclude
>that you take a different assumption: L3 interface to the radio network.
>Am I correct? I think that radio-specific information should be left to

As Pat indicated in his reply, there is no requirement for an L3
interface to the radio network in our draft. Our draft is independent
of L2.

>L2 since it is an overkill to bring complex radio-technology-specific
>parameters up to L3. This is also due to the fact that every radio/cellular
>standard has its set of parameters. Only a few L2 parameters need to be
>made visible to L3 (e.g. handoff indication), possibly through some API
>to obtain the improved handoffs which we are aiming for. This is the
>assumption we should work with IMO, since it allows us to define a generic
>L3 (MIP) fast handoff method.
>

I think it should be possible to allow radio specific parameters to
be exchanged between FAs that can handle them in a way that is generic
enough to handle multiple kinds of radio link technologies. L3 would
be used just for exchange of radio-link specific information, nothing more. For
CDMA and TDMA technologies, I don't believe a single parameter or generic set of
parameters will be sufficient to handle hard handoff between noninterconnected
RANs, i.e. the hard handoff case. There is otherwise no way for the two
RANs to find out information on the channel and cell that the mobile is
using in order to perform the handoff.

Whether or not the mobile IP working group, or even IETF, is the right
place for defining this is another question. It may be something
more appropriate for the 3G arena.

                jak